> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Query Bootstrap



## OpenAPI

````yaml /openapi.json post /v1/workspaces/{workspaceId}/projects/{projectId}/specification-navigator/query
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/projects/{projectId}/specification-navigator/query:
    post:
      tags:
        - Specification Navigator
      summary: Query Bootstrap
      operationId: SpecificationNavigatorController_queryBootstrap_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
        - name: projectId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ReadSpecificationNavigatorTableQueryDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/SpecificationNavigatorBootstrapResponseDto
      security:
        - bearer: []
components:
  schemas:
    ReadSpecificationNavigatorTableQueryDto:
      type: object
      properties:
        configuration:
          type: object
          properties:
            schemaVersion:
              type: number
              const: 1
            columns:
              maxItems: 200
              type: array
              items:
                type: string
                minLength: 1
                maxLength: 255
            quickFilters:
              type: object
              properties:
                status:
                  maxItems: 20
                  type: array
                  items:
                    type: string
                    minLength: 1
                    maxLength: 255
                categoryIds:
                  maxItems: 100
                  type: array
                  items:
                    type: string
                    minLength: 1
                    maxLength: 255
                columnFilters:
                  maxItems: 50
                  type: array
                  items:
                    oneOf:
                      - type: object
                        properties:
                          fieldKey:
                            type: string
                            minLength: 1
                            maxLength: 255
                          type:
                            type: string
                            const: text
                          value:
                            type: string
                            minLength: 1
                            maxLength: 1000
                          mode:
                            type: string
                            enum:
                              - contains
                              - equals
                        required:
                          - fieldKey
                          - type
                          - value
                          - mode
                        additionalProperties: false
                      - type: object
                        properties:
                          fieldKey:
                            type: string
                            minLength: 1
                            maxLength: 255
                          type:
                            type: string
                            const: number
                          min:
                            type: number
                          max:
                            type: number
                        required:
                          - fieldKey
                          - type
                        additionalProperties: false
                      - type: object
                        properties:
                          fieldKey:
                            type: string
                            minLength: 1
                            maxLength: 255
                          type:
                            type: string
                            const: boolean
                          value:
                            type: boolean
                        required:
                          - fieldKey
                          - type
                          - value
                        additionalProperties: false
                      - type: object
                        properties:
                          fieldKey:
                            type: string
                            minLength: 1
                            maxLength: 255
                          type:
                            type: string
                            const: list
                          values:
                            minItems: 1
                            maxItems: 100
                            type: array
                            items:
                              type: string
                              minLength: 1
                              maxLength: 255
                        required:
                          - fieldKey
                          - type
                          - values
                        additionalProperties: false
                      - type: object
                        properties:
                          fieldKey:
                            type: string
                            minLength: 1
                            maxLength: 255
                          type:
                            type: string
                            const: date
                          from:
                            type: string
                            format: date
                            pattern: >-
                              ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))$
                          to:
                            type: string
                            format: date
                            pattern: >-
                              ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))$
                        required:
                          - fieldKey
                          - type
                        additionalProperties: false
              required:
                - status
                - categoryIds
                - columnFilters
              additionalProperties: false
            advancedFilter:
              type: object
              properties:
                sets:
                  maxItems: 5
                  type: array
                  items:
                    type: object
                    properties:
                      conditions:
                        minItems: 1
                        maxItems: 10
                        type: array
                        items:
                          oneOf:
                            - type: object
                              properties:
                                fieldKey:
                                  type: string
                                  minLength: 1
                                  maxLength: 255
                                operator:
                                  type: string
                                  enum:
                                    - is_any_of
                                    - is_not_any_of
                                values:
                                  minItems: 1
                                  maxItems: 100
                                  type: array
                                  items:
                                    type: string
                                    minLength: 1
                                    maxLength: 255
                              required:
                                - fieldKey
                                - operator
                                - values
                              additionalProperties: false
                            - type: object
                              properties:
                                fieldKey:
                                  type: string
                                  minLength: 1
                                  maxLength: 255
                                operator:
                                  type: string
                                  enum:
                                    - contains
                                    - does_not_contain
                                value:
                                  type: string
                                  minLength: 1
                                  maxLength: 1000
                              required:
                                - fieldKey
                                - operator
                                - value
                              additionalProperties: false
                            - type: object
                              properties:
                                fieldKey:
                                  type: string
                                  minLength: 1
                                  maxLength: 255
                                operator:
                                  type: string
                                  enum:
                                    - is_empty
                                    - is_not_empty
                              required:
                                - fieldKey
                                - operator
                              additionalProperties: false
                            - type: object
                              properties:
                                fieldKey:
                                  type: string
                                  minLength: 1
                                  maxLength: 255
                                operator:
                                  type: string
                                  enum:
                                    - date_on
                                    - date_before
                                    - date_after
                                value:
                                  type: string
                                  format: date
                                  pattern: >-
                                    ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))$
                              required:
                                - fieldKey
                                - operator
                                - value
                              additionalProperties: false
                            - type: object
                              properties:
                                fieldKey:
                                  type: string
                                  minLength: 1
                                  maxLength: 255
                                operator:
                                  type: string
                                  const: date_between
                                from:
                                  type: string
                                  format: date
                                  pattern: >-
                                    ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))$
                                to:
                                  type: string
                                  format: date
                                  pattern: >-
                                    ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))$
                              required:
                                - fieldKey
                                - operator
                                - from
                                - to
                              additionalProperties: false
                    required:
                      - conditions
                    additionalProperties: false
              required:
                - sets
              additionalProperties: false
            groupBy:
              maxItems: 2
              type: array
              items:
                type: object
                properties:
                  fieldKey:
                    type: string
                    minLength: 1
                    maxLength: 255
                  direction:
                    type: string
                    enum:
                      - asc
                      - desc
                required:
                  - fieldKey
                  - direction
                additionalProperties: false
            sort:
              maxItems: 1
              type: array
              items:
                type: object
                properties:
                  fieldKey:
                    type: string
                    minLength: 1
                    maxLength: 255
                  direction:
                    type: string
                    enum:
                      - asc
                      - desc
                required:
                  - fieldKey
                  - direction
                additionalProperties: false
          required:
            - schemaVersion
            - columns
            - quickFilters
            - advancedFilter
            - groupBy
            - sort
          additionalProperties: false
        search:
          type: string
          minLength: 1
          maxLength: 255
        status:
          type: string
          enum:
            - new
            - ready
            - broken
        showItemCount:
          type: boolean
        cursor:
          type: string
          minLength: 1
          maxLength: 2048
        limit:
          type: integer
          minimum: 1
          maximum: 100
        layout:
          enum:
            - areas
            - categories
            - areas-categories
            - categories-areas
            - custom
          type: string
        grouping:
          minItems: 1
          maxItems: 3
          type: array
          items:
            oneOf:
              - type: object
                properties:
                  kind:
                    type: string
                    const: area
                required:
                  - kind
                additionalProperties: false
              - type: object
                properties:
                  kind:
                    type: string
                    const: area_type
                required:
                  - kind
                additionalProperties: false
              - type: object
                properties:
                  kind:
                    type: string
                    const: category
                required:
                  - kind
                additionalProperties: false
              - type: object
                properties:
                  kind:
                    type: string
                    const: area_level
                  levelKey:
                    type: string
                    format: uuid
                    pattern: >-
                      ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                required:
                  - kind
                  - levelKey
                additionalProperties: false
              - type: object
                properties:
                  kind:
                    type: string
                    const: status
                required:
                  - kind
                additionalProperties: false
              - type: object
                properties:
                  kind:
                    type: string
                    const: supplier
                required:
                  - kind
                additionalProperties: false
              - type: object
                properties:
                  kind:
                    type: string
                    const: finish
                required:
                  - kind
                additionalProperties: false
              - type: object
                properties:
                  kind:
                    type: string
                    const: field
                  field:
                    type: string
                    maxLength: 200
                    pattern: >-
                      ^(?:system|catalog_family|catalog_item|catalog_family_source|catalog_item_source|project_item|project_item_slot):[a-zA-Z0-9_-]+$
                required:
                  - kind
                  - field
                additionalProperties: false
        showUnassigned:
          type: boolean
        showExtraQuantity:
          type: boolean
      required:
        - configuration
      additionalProperties: false
    SpecificationNavigatorBootstrapResponseDto:
      type: object
      properties:
        availableDimensions:
          type: array
          items:
            oneOf:
              - type: object
                additionalProperties: false
                required:
                  - key
                  - kind
                properties:
                  key:
                    type: string
                    enum:
                      - area
                  kind:
                    type: string
                    enum:
                      - area
              - type: object
                additionalProperties: false
                required:
                  - key
                  - kind
                properties:
                  key:
                    type: string
                    enum:
                      - area-type
                  kind:
                    type: string
                    enum:
                      - area-type
              - type: object
                additionalProperties: false
                required:
                  - key
                  - kind
                properties:
                  key:
                    type: string
                    enum:
                      - category
                  kind:
                    type: string
                    enum:
                      - category
              - type: object
                additionalProperties: false
                required:
                  - key
                  - kind
                properties:
                  key:
                    type: string
                    enum:
                      - status
                  kind:
                    type: string
                    enum:
                      - status
              - type: object
                additionalProperties: false
                required:
                  - key
                  - kind
                properties:
                  key:
                    type: string
                    enum:
                      - supplier
                  kind:
                    type: string
                    enum:
                      - supplier
              - type: object
                additionalProperties: false
                required:
                  - key
                  - kind
                properties:
                  key:
                    type: string
                    enum:
                      - finish
                  kind:
                    type: string
                    enum:
                      - finish
              - type: object
                additionalProperties: false
                required:
                  - key
                  - kind
                  - label
                  - field
                properties:
                  key:
                    type: string
                    pattern: '^field:'
                  kind:
                    type: string
                    enum:
                      - field
                  label:
                    type: string
                  field:
                    type: string
                  valueType:
                    type: string
                    enum:
                      - text
                      - number
                      - percent
                      - boolean
                      - list
                      - multiple_select
                      - date
                      - dimension
              - type: object
                additionalProperties: false
                required:
                  - key
                  - kind
                  - label
                  - levelKey
                properties:
                  key:
                    type: string
                    pattern: '^area-level:'
                  kind:
                    type: string
                    enum:
                      - area-level
                  label:
                    type: string
                  levelKey:
                    type: string
                    format: uuid
            discriminator:
              propertyName: kind
        effectiveSettings:
          $ref: '#/components/schemas/SpecificationNavigatorSettingsResponseDto'
        canonicalDefaults:
          $ref: '#/components/schemas/SpecificationNavigatorSettingsValuesResponseDto'
        projection:
          $ref: '#/components/schemas/SpecificationNavigatorProjectionResponseDto'
        preferenceWarning:
          type: string
          nullable: true
      required:
        - availableDimensions
        - effectiveSettings
        - canonicalDefaults
        - projection
        - preferenceWarning
    SpecificationNavigatorSettingsResponseDto:
      type: object
      properties:
        layout:
          enum:
            - areas
            - categories
            - areas-categories
            - categories-areas
            - custom
          type: string
        customGrouping:
          type: array
          items:
            oneOf:
              - $ref: '#/components/schemas/SpecificationNavigatorAreaGroupingDto'
              - $ref: '#/components/schemas/SpecificationNavigatorAreaTypeGroupingDto'
              - $ref: '#/components/schemas/SpecificationNavigatorCategoryGroupingDto'
              - $ref: >-
                  #/components/schemas/SpecificationNavigatorAreaLevelGroupingDto
              - $ref: '#/components/schemas/SpecificationNavigatorStatusGroupingDto'
              - $ref: '#/components/schemas/SpecificationNavigatorSupplierGroupingDto'
              - $ref: '#/components/schemas/SpecificationNavigatorFinishGroupingDto'
              - $ref: '#/components/schemas/SpecificationNavigatorFieldGroupingDto'
            discriminator:
              propertyName: kind
              mapping:
                area:
                  $ref: '#/components/schemas/SpecificationNavigatorAreaGroupingDto'
                area_type:
                  $ref: >-
                    #/components/schemas/SpecificationNavigatorAreaTypeGroupingDto
                category:
                  $ref: >-
                    #/components/schemas/SpecificationNavigatorCategoryGroupingDto
                area_level:
                  $ref: >-
                    #/components/schemas/SpecificationNavigatorAreaLevelGroupingDto
                status:
                  $ref: '#/components/schemas/SpecificationNavigatorStatusGroupingDto'
                supplier:
                  $ref: >-
                    #/components/schemas/SpecificationNavigatorSupplierGroupingDto
                finish:
                  $ref: '#/components/schemas/SpecificationNavigatorFinishGroupingDto'
                field:
                  $ref: '#/components/schemas/SpecificationNavigatorFieldGroupingDto'
        version:
          type: number
          nullable: true
        isDefault:
          type: boolean
        showItemCount:
          type: boolean
        showUnassigned:
          type: boolean
        showExtraQuantity:
          type: boolean
        showFloorPlan:
          type: boolean
      required:
        - layout
        - customGrouping
        - version
        - isDefault
        - showItemCount
        - showUnassigned
        - showExtraQuantity
        - showFloorPlan
    SpecificationNavigatorSettingsValuesResponseDto:
      type: object
      properties:
        layout:
          enum:
            - areas
            - categories
            - areas-categories
            - categories-areas
            - custom
          type: string
        customGrouping:
          type: array
          items:
            oneOf:
              - $ref: '#/components/schemas/SpecificationNavigatorAreaGroupingDto'
              - $ref: '#/components/schemas/SpecificationNavigatorAreaTypeGroupingDto'
              - $ref: '#/components/schemas/SpecificationNavigatorCategoryGroupingDto'
              - $ref: >-
                  #/components/schemas/SpecificationNavigatorAreaLevelGroupingDto
              - $ref: '#/components/schemas/SpecificationNavigatorStatusGroupingDto'
              - $ref: '#/components/schemas/SpecificationNavigatorSupplierGroupingDto'
              - $ref: '#/components/schemas/SpecificationNavigatorFinishGroupingDto'
              - $ref: '#/components/schemas/SpecificationNavigatorFieldGroupingDto'
            discriminator:
              propertyName: kind
              mapping:
                area:
                  $ref: '#/components/schemas/SpecificationNavigatorAreaGroupingDto'
                area_type:
                  $ref: >-
                    #/components/schemas/SpecificationNavigatorAreaTypeGroupingDto
                category:
                  $ref: >-
                    #/components/schemas/SpecificationNavigatorCategoryGroupingDto
                area_level:
                  $ref: >-
                    #/components/schemas/SpecificationNavigatorAreaLevelGroupingDto
                status:
                  $ref: '#/components/schemas/SpecificationNavigatorStatusGroupingDto'
                supplier:
                  $ref: >-
                    #/components/schemas/SpecificationNavigatorSupplierGroupingDto
                finish:
                  $ref: '#/components/schemas/SpecificationNavigatorFinishGroupingDto'
                field:
                  $ref: '#/components/schemas/SpecificationNavigatorFieldGroupingDto'
        showItemCount:
          type: boolean
        showUnassigned:
          type: boolean
        showExtraQuantity:
          type: boolean
        showFloorPlan:
          type: boolean
      required:
        - layout
        - customGrouping
        - showItemCount
        - showUnassigned
        - showExtraQuantity
        - showFloorPlan
    SpecificationNavigatorProjectionResponseDto:
      type: object
      properties:
        allItemsCount:
          type: number
        unassignedCount:
          type: number
        extraQuantityCount:
          type: number
        areaStructureVersion:
          type: number
          nullable: true
        nodes:
          type: array
          items:
            $ref: '#/components/schemas/SpecificationNavigatorNodeResponseDto'
        pageInfo:
          nullable: true
          type: object
          allOf:
            - $ref: '#/components/schemas/SpecificationNavigatorPageInfoResponseDto'
      required:
        - areaStructureVersion
        - nodes
        - pageInfo
    SpecificationNavigatorAreaGroupingDto:
      type: object
      properties:
        kind:
          type: string
          enum:
            - area
      required:
        - kind
    SpecificationNavigatorAreaTypeGroupingDto:
      type: object
      properties:
        kind:
          type: string
          enum:
            - area_type
      required:
        - kind
    SpecificationNavigatorCategoryGroupingDto:
      type: object
      properties:
        kind:
          type: string
          enum:
            - category
      required:
        - kind
    SpecificationNavigatorAreaLevelGroupingDto:
      type: object
      properties:
        kind:
          type: string
          enum:
            - area_level
        levelKey:
          type: string
      required:
        - kind
        - levelKey
    SpecificationNavigatorStatusGroupingDto:
      type: object
      properties:
        kind:
          type: string
          enum:
            - status
      required:
        - kind
    SpecificationNavigatorSupplierGroupingDto:
      type: object
      properties:
        kind:
          type: string
          enum:
            - supplier
      required:
        - kind
    SpecificationNavigatorFinishGroupingDto:
      type: object
      properties:
        kind:
          type: string
          enum:
            - finish
      required:
        - kind
    SpecificationNavigatorFieldGroupingDto:
      type: object
      properties:
        kind:
          type: string
          enum:
            - field
        field:
          type: string
      required:
        - kind
        - field
    SpecificationNavigatorNodeResponseDto:
      type: object
      properties:
        kind:
          enum:
            - area
            - area-type
            - area-level
            - category
            - status
            - supplier
            - finish
            - field
          type: string
        areaCount:
          type: number
        hasFloorPlan:
          type: boolean
        pinnedCount:
          type: number
        id:
          type: string
        label:
          type: string
        code:
          type: string
        structuralParentId:
          type: string
          nullable: true
        itemCount:
          type: number
        structuralChildCount:
          type: number
        hasStructuralChildren:
          type: boolean
        groupingChildCount:
          type: number
        hasGroupingChildren:
          type: boolean
        selection:
          $ref: '#/components/schemas/SpecificationNavigatorPathSelectionResponseDto'
      required:
        - kind
        - id
        - label
        - structuralParentId
        - structuralChildCount
        - hasStructuralChildren
        - groupingChildCount
        - hasGroupingChildren
        - selection
    SpecificationNavigatorPageInfoResponseDto:
      type: object
      properties:
        nextCursor:
          type: string
          nullable: true
        hasMore:
          type: boolean
      required:
        - nextCursor
        - hasMore
    SpecificationNavigatorPathSelectionResponseDto:
      type: object
      properties:
        kind:
          type: string
          enum:
            - path
        segments:
          type: array
          minItems: 1
          maxItems: 3
          items:
            oneOf:
              - $ref: >-
                  #/components/schemas/SpecificationNavigatorAreaSelectionSegmentDto
              - $ref: >-
                  #/components/schemas/SpecificationNavigatorAreaTypeSelectionSegmentDto
              - $ref: >-
                  #/components/schemas/SpecificationNavigatorAreaLevelSelectionSegmentDto
              - $ref: >-
                  #/components/schemas/SpecificationNavigatorCategorySelectionSegmentDto
              - $ref: >-
                  #/components/schemas/SpecificationNavigatorStatusSelectionSegmentDto
              - $ref: >-
                  #/components/schemas/SpecificationNavigatorSupplierSelectionSegmentDto
              - $ref: >-
                  #/components/schemas/SpecificationNavigatorFinishSelectionSegmentDto
              - $ref: >-
                  #/components/schemas/SpecificationNavigatorFieldSelectionSegmentDto
            discriminator:
              propertyName: dimension
              mapping:
                area:
                  $ref: >-
                    #/components/schemas/SpecificationNavigatorAreaSelectionSegmentDto
                area-type:
                  $ref: >-
                    #/components/schemas/SpecificationNavigatorAreaTypeSelectionSegmentDto
                area-level:
                  $ref: >-
                    #/components/schemas/SpecificationNavigatorAreaLevelSelectionSegmentDto
                category:
                  $ref: >-
                    #/components/schemas/SpecificationNavigatorCategorySelectionSegmentDto
                status:
                  $ref: >-
                    #/components/schemas/SpecificationNavigatorStatusSelectionSegmentDto
                supplier:
                  $ref: >-
                    #/components/schemas/SpecificationNavigatorSupplierSelectionSegmentDto
                finish:
                  $ref: >-
                    #/components/schemas/SpecificationNavigatorFinishSelectionSegmentDto
                field:
                  $ref: >-
                    #/components/schemas/SpecificationNavigatorFieldSelectionSegmentDto
      required:
        - kind
        - segments
    SpecificationNavigatorAreaSelectionSegmentDto:
      type: object
      properties:
        dimension:
          type: string
          enum:
            - area
        scope:
          type: string
          enum:
            - direct
            - subtree
        areaId:
          type: string
      required:
        - dimension
        - scope
        - areaId
    SpecificationNavigatorAreaTypeSelectionSegmentDto:
      type: object
      properties:
        dimension:
          type: string
          enum:
            - area-type
        areaTypeKey:
          type: string
          nullable: true
          pattern: ^[a-f0-9]{64}$
      required:
        - dimension
        - areaTypeKey
    SpecificationNavigatorAreaLevelSelectionSegmentDto:
      type: object
      properties:
        dimension:
          type: string
          enum:
            - area-level
        levelKey:
          type: string
        areaId:
          type: string
          nullable: true
      required:
        - dimension
        - levelKey
        - areaId
    SpecificationNavigatorCategorySelectionSegmentDto:
      type: object
      properties:
        dimension:
          type: string
          enum:
            - category
        categoryId:
          type: string
      required:
        - dimension
        - categoryId
    SpecificationNavigatorStatusSelectionSegmentDto:
      type: object
      properties:
        dimension:
          type: string
          enum:
            - status
        status:
          type: string
          enum:
            - new
            - ready
            - broken
      required:
        - dimension
        - status
    SpecificationNavigatorSupplierSelectionSegmentDto:
      type: object
      properties:
        dimension:
          type: string
          enum:
            - supplier
        supplierId:
          type: string
          nullable: true
      required:
        - dimension
        - supplierId
    SpecificationNavigatorFinishSelectionSegmentDto:
      type: object
      properties:
        dimension:
          type: string
          enum:
            - finish
        valueKey:
          type: string
          nullable: true
          pattern: ^[a-f0-9]{64}$
      required:
        - dimension
        - valueKey
    SpecificationNavigatorFieldSelectionSegmentDto:
      type: object
      properties:
        dimension:
          type: string
          enum:
            - field
        value:
          type: string
          nullable: true
        field:
          type: string
      required:
        - dimension
        - value
        - field
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````